Subject: Re: Newworld OF boot

From: David Edelsohn <[email-masked]>
Date: Tue, 02 Nov 1999 15:24:37 -0500

I have seen documentation about OF accepting XCOFF, but I am not
sure exactly how it is suppose to work.  I assume that the XCOFF image
needs something equivalent to the ELF OF note section to specify loading
parameters. 

	I have not heard of a FreeBSD PowerPC port, but NetBSD does have a
Mac PowerPC port.  NetBSD seems to create an OF note section. 

	The last I checked, Linux/PPC creates an ELF kernel which it then
prepends an XCOFF header for PreP booting, and then there seemed to be
some work to package the XCOFF image within an ELF header again.  If
someone added a correct OF note section to the first ELF executable, Mac
OF should be happy.  The necessary pieces have been described numerous
times in this mailinglist, but everyone seems to be infatuated with Rube
Goldberg solutions.

David

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/